import * as React from 'react';
import { Icon } from '../../../components/icons';
import Panel from '../../../components/Panel';
//We cannot destructure this.props using the react way in typescript which is a real pain as you
//need to transfer props individually as a consequence
//let { buttonContent, ...other } = this.props
export class ToolPanelSettingsPanel extends React.Component {
    render() {
        let header = (React.createElement("span", { style: { verticalAlign: 'middle' } },
            ' ',
            React.createElement(Icon, { name: 'spanner' }),
            " ",
            React.createElement("span", null, "Settings"),
            this.props.button &&
                React.cloneElement(this.props.button, {
                    style: {
                        float: 'right',
                        border: '0px',
                        background: 'none',
                        borderRadius: '0px',
                        boxShadow: 'none',
                    },
                })));
        return (React.createElement(Panel, { header: header, style: { margin: '0px', padding: '0px' } }, this.props.children));
    }
}
